Index: NEMO/branches/2020/tickets_icb_1900/src/SWE/ldfdyn.F90
===================================================================
--- NEMO/branches/2020/tickets_icb_1900/src/SWE/ldfdyn.F90	(revision 13277)
+++ NEMO/branches/2020/tickets_icb_1900/src/SWE/ldfdyn.F90	(revision 13899)
@@ -312,5 +312,5 @@
             IF( ierr /= 0 )   CALL ctl_stop( 'STOP', 'ldf_dyn_init: failed to allocate Smagorinsky arrays')
             !
-            DO_2D_11_11
+            DO_2D( 1, 1, 1, 1 )
                esqt(ji,jj) = ( 2._wp * e1e2t(ji,jj) / ( e1t(ji,jj) + e2t(ji,jj) ) )**2 
                esqf(ji,jj) = ( 2._wp * e1e2f(ji,jj) / ( e1f(ji,jj) + e2f(ji,jj) ) )**2 
@@ -396,5 +396,5 @@
          IF( ln_dynldf_lap   ) THEN        ! laplacian operator : |u| e /12 = |u/144| e
             DO jk = 1, jpkm1
-               DO_2D_00_00
+               DO_2D( 0, 0, 0, 0 )
                   zu2pv2_ij    = uu(ji  ,jj  ,jk,Kbb) * uu(ji  ,jj  ,jk,Kbb) + vv(ji  ,jj  ,jk,Kbb) * vv(ji  ,jj  ,jk,Kbb)
                   zu2pv2_ij_m1 = uu(ji-1,jj  ,jk,Kbb) * uu(ji-1,jj  ,jk,Kbb) + vv(ji  ,jj-1,jk,Kbb) * vv(ji  ,jj-1,jk,Kbb)
@@ -402,5 +402,5 @@
                   ahmt(ji,jj,jk) = SQRT( (zu2pv2_ij + zu2pv2_ij_m1) * r1_288 ) * zemax * tmask(ji,jj,jk)      ! 288= 12*12 * 2
                END_2D
-               DO_2D_10_10
+               DO_2D( 1, 0, 1, 0 )
                   zu2pv2_ij_p1 = uu(ji  ,jj+1,jk, Kbb) * uu(ji  ,jj+1,jk, Kbb) + vv(ji+1,jj  ,jk, Kbb) * vv(ji+1,jj  ,jk, Kbb)
                   zu2pv2_ij    = uu(ji  ,jj  ,jk, Kbb) * uu(ji  ,jj  ,jk, Kbb) + vv(ji  ,jj  ,jk, Kbb) * vv(ji  ,jj  ,jk, Kbb)
@@ -411,5 +411,5 @@
          ELSEIF( ln_dynldf_blp ) THEN      ! bilaplacian operator : sqrt( |u| e^3 /12 ) = sqrt( |u/144| e ) * e
             DO jk = 1, jpkm1
-               DO_2D_00_00
+               DO_2D( 0, 0, 0, 0 )
                   zu2pv2_ij    = uu(ji  ,jj  ,jk,Kbb) * uu(ji  ,jj  ,jk,Kbb) + vv(ji  ,jj  ,jk,Kbb) * vv(ji  ,jj  ,jk,Kbb)
                   zu2pv2_ij_m1 = uu(ji-1,jj  ,jk,Kbb) * uu(ji-1,jj  ,jk,Kbb) + vv(ji  ,jj-1,jk,Kbb) * vv(ji  ,jj-1,jk,Kbb)
@@ -417,5 +417,5 @@
                   ahmt(ji,jj,jk) = SQRT(  SQRT( (zu2pv2_ij + zu2pv2_ij_m1) * r1_288 ) * zemax  ) * zemax * tmask(ji,jj,jk)
                END_2D
-               DO_2D_10_10
+               DO_2D( 1, 0, 1, 0 )
                   zu2pv2_ij_p1 = uu(ji  ,jj+1,jk, Kbb) * uu(ji  ,jj+1,jk, Kbb) + vv(ji+1,jj  ,jk, Kbb) * vv(ji+1,jj  ,jk, Kbb)
                   zu2pv2_ij    = uu(ji  ,jj  ,jk, Kbb) * uu(ji  ,jj  ,jk, Kbb) + vv(ji  ,jj  ,jk, Kbb) * vv(ji  ,jj  ,jk, Kbb)
@@ -440,5 +440,5 @@
             DO jk = 1, jpkm1
                !
-               DO_2D_00_00
+               DO_2D( 0, 0, 0, 0 )
                   zdb =    ( uu(ji,jj,jk,Kbb) * r1_e2u(ji,jj) -  uu(ji-1,jj,jk,Kbb) * r1_e2u(ji-1,jj) )  &
                        &                      * r1_e1t(ji,jj) * e2t(ji,jj)                           &
@@ -448,5 +448,5 @@
                END_2D
                !
-               DO_2D_10_10
+               DO_2D( 1, 0, 1, 0 )
                   zdb =   (  uu(ji,jj+1,jk,Kbb) * r1_e1u(ji,jj+1) -  uu(ji,jj,jk,Kbb) * r1_e1u(ji,jj) )  &
                        &                        * r1_e2f(ji,jj)   * e1f(ji,jj)                       &
@@ -462,5 +462,5 @@
             DO jk = 1, jpkm1
               !
-               DO_2D_00_00
+               DO_2D( 0, 0, 0, 0 )
                   !
                   zu2pv2_ij    = uu(ji  ,jj  ,jk,Kbb) * uu(ji  ,jj  ,jk,Kbb) + vv(ji  ,jj  ,jk,Kbb) * vv(ji  ,jj  ,jk,Kbb)
@@ -476,5 +476,5 @@
                END_2D
                !
-               DO_2D_10_10
+               DO_2D( 1, 0, 1, 0 )
                   !
                   zu2pv2_ij_p1 = uu(ji  ,jj+1,jk, kbb) * uu(ji  ,jj+1,jk, kbb) + vv(ji+1,jj  ,jk, kbb) * vv(ji+1,jj  ,jk, kbb)
@@ -499,8 +499,8 @@
             !                          ! effective default limits are 1/12 |U|L^3 < B_hm < 1//(32*2dt) L^4
             DO jk = 1, jpkm1
-               DO_2D_00_00
+               DO_2D( 0, 0, 0, 0 )
                   ahmt(ji,jj,jk) = SQRT( r1_8 * esqt(ji,jj) * ahmt(ji,jj,jk) )
                END_2D
-               DO_2D_10_10
+               DO_2D( 1, 0, 1, 0 )
                   ahmf(ji,jj,jk) = SQRT( r1_8 * esqf(ji,jj) * ahmf(ji,jj,jk) )
                END_2D
